Index Page ekopw_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void ekopw_c ( ConstSpiceChar  * fname,
                      SpiceInt        * handle )

#### Abstract

       Open an existing E-kernel file for writing.

#### Required_Reading

       EK

#### Keywords

       EK
       FILES
       UTILITY

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       fname      I   Name of EK file.
       handle     O   Handle attached to EK file.

#### Detailed_Input

       fname          is the name of an existing E-kernel file to be
                      opened for write access.

#### Detailed_Output

       handle         is the DAS file handle of the EK designate by
                      fname.  This handle is used to identify the file
                      to other EK routines.

#### Parameters

       None.

#### Exceptions

       1)  If the indicated file cannot be opened, the error will be
           diagnosed by routines called by this routine.  The new file
           will be deleted.

       2)  If the indicated file has the wrong architecture version, the
           error will be diagnosed by routines called by this routine.

       3)  If an I/O error occurs while reading or writing the indicated
           file, the error will be diagnosed by routines called by this
           routine.

#### Files

       See the EK Required Reading for a discussion of the EK file
       format.

#### Particulars

       This routine should be used to open an EK file for write access.

       Opening an EK file with this routine makes the EK accessible to
       the following CSPICE EK access routines, all of which modify
       the target EK file:

          Begin segment:

             ekbseg_c

          Append, insert, delete records:

             ekappr_c
             ekinsr_c
             ekdelr_c

          Add column entries:

             ekacec_c
             ekaced_c
             ekacei_c

          Update existing column entries:

             ekucec_c
             ekuced_c
             ekucei_c

          Execute fast write:

             ekifld_c
             ekffld_c
             ekaclc_c
             ekacld_c
             ekacli_c

       An EK opened for write access is also accessible for reading.
       The file may be accessed by the CSPICE EK readers

             ekrcec_c
             ekrced_c
             ekrcei_c

          and summary routines:

             eknseg_c
             ekssum_c

       An EK opened for write access cannot be queried.  To make an EK
       available to the EK query system, the file must be loaded via
       EKLEF, rather than by this routine.  See the EK Required Reading
       for further information.

#### Examples

       1)  Open the file MY.EK for write access:

              ekopw_c ( "my.ek", &handle );

#### Restrictions

       1)  No more than FTSIZE DAS files may be opened simultaneously.
           See dasfm_ for the value of FTSIZE.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman   (JPL)

#### Version

       -CSPICE Version 1.0.1, 09-JAN-2002 (NJB)

          Documentation change:  instances of the phrase "fast load"
          were replaced with "fast write."

       -CSPICE Version 1.0.0, 25-MAY-1999 (NJB)

#### Index_Entries

       open EK for writing

#### Link to routine ekopw_c source file ekopw_c.c

    Wed Apr  5 17:54:34 2017